# Hypha

[![<HyphaApp>](https://circleci.com/gh/HyphaApp/hypha.svg?style=shield)](https://circleci.com/gh/HyphaApp/hypha)
![GitHub top language](https://img.shields.io/github/languages/top/HyphaApp/hypha)
![Lines of code](https://img.shields.io/tokei/lines/github/HyphaApp/hypha)
![GitHub commit activity](https://img.shields.io/github/commit-activity/m/HyphaApp/hypha)
![GitHub release (latest by date)](https://img.shields.io/github/v/release/HyphaApp/hypha)
[![Translation status](https://hosted.weblate.org/widgets/hypha/-/svg-badge.svg)](https://hosted.weblate.org/engage/hypha/)
[![GitHub license](https://img.shields.io/github/license/HyphaApp/hypha)](https://github.com/HyphaApp/hypha/blob/main/LICENSE)
[![Zulip chat](https://img.shields.io/badge/chat-chat.hypha.app-brightgreen)](https://chat.hypha.app/)
[![Discource forum](https://img.shields.io/badge/forum-we.hypha.app-orange)](https://we.hypha.app/)
[![Website](https://img.shields.io/badge/website-hypha.app-blue)](https://www.hypha.app/)
[![Documentation](https://img.shields.io/badge/docs-hypha.app-purple)](https://docs.hypha.app/)

## Submission management software for open calls

### Features

- Manage the collection and review of applications or submissions openly and efficiently.
- Customize all aspects of the process, forms, workflows, review options, and more.
- Automate workflows and integrate with other services (Slack, Mailgun, etc).
- Regularly audited software with many privacy and security features.
- View our [Roadmap](https://github.com/HyphaApp/hypha/wiki/Roadmap) for upcoming features and enhancements.

### Technology

- Built with [Django](https://www.djangoproject.com/), [Wagtail](https://wagtail.io/), and [React](https://reactjs.org/)
- Deploy with [Heroku](https://docs.hypha.app/deployment/heroku), [Docker](https://docs.hypha.app/deployment/docker), or [your own server](https://docs.hypha.app/deployment/stand-alone).

## Maintainers

- [Di Luong](https://www.opentech.fund/about/people/di-luong/) @ [Open Technology Fund](https://www.opentech.fund/)
- [Dan Blah](https://github.com/danblah) @ [Reset](https://www.reset.tech/)
- [Fredrik Jonsson](https://github.com/frjo) @ [Combonetwork](https://www.combonet.se/)

## Community

### Contributors

With thanks to all the people who have contributed code & UX design to Hypha: <3

- [Maxwell Pearl](https://maxwellpearl.com/)
- [Psycle](https://psycle.com/)
- [Remote Inning](https://www.remoteinning.com/)
- [Simply Secure](https://simplysecure.org/)
- [Throneless Technology](https://throneless.tech/)
- [Torchbox](https://www.torchbox.com/)

### Implementers

Thank you brave folks who choose to use Hypha <3

- [Digital Freedom Fund](https://digitalfreedomfund.org/)
- [Open Technology Fund](https://www.opentech.fund)
- [Reset](https://www.reset.tech)

### Sponsors

Thank you for your generosity <3

- [Open Technology Fund](https://www.opentech.fund)
- [Reset](https://www.reset.tech)

## Sponsor Hypha

Hypha is an open source project made possible thanks to the support of sponsors. If you rely on Hypha, please consider becoming a sponsor to help those contributing code. Hypha can be supported by anyone and the money will be distributed directly to contributors. You can provide general support via [Open Collective](https://opencollective.com/hypha) or [Liberapay](https://liberapay.com/hypha). You can sponsor specific issues via [Issuehunt](https://issuehunt.io/r/OpenTechFund/hypha). Thanks in advance <3

[![Sponsor with Liberapay](https://liberapay.com/assets/widgets/donate.svg)](https://liberapay.com/hypha)

[![Sponsor with Open Collective](https://opencollective.com/hypha/tiers/backer.svg?avatarHeight=75&width=600)](https://opencollective.com/hypha)

[![Find and sponsor issues](https://issuehunt.io/static/embed/issuehunt-button-v1.svg)](https://issuehunt.io/r/OpenTechFund/hypha)

## More information

* Website: https://www.hypha.app/
* Docs: https://docs.hypha.app/
* Community forum (Discourse): https://we.hypha.app/
* Chat (Zulip): https://chat.hypha.app/
* Why Hypha? **[Hyphae](https://en.wikipedia.org/wiki/Mycorrhizal_network):** long, branching ecosystem enriching organisms that form interconnected networks to collectively exchange resources. Hopefully, Hypha helps it's users do the same.
* Copyright (C) 2021 - Open Technology Fund
