# Generated by Django 2.2.24 on 2021-09-23 05:45

from decimal import Decimal
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('application_projects', '0038_project_translateble'),
    ]

    operations = [
        migrations.CreateModel(
            name='Deliverable',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.TextField()),
                ('available_to_invoice', models.IntegerField(default=1)),
                ('invoice_quantity', models.IntegerField(default=0, help_text='Quantity Selected on an Invoice')),
                ('unit_price', models.DecimalField(decimal_places=2, max_digits=10, validators=[django.core.validators.MinValueValidator(Decimal('0.01'))])),
                ('project', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='deliverables', to='application_projects.Project')),
            ],
        ),
        migrations.CreateModel(
            name='InvoiceDeliverable',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('quantity', models.IntegerField(default=0, help_text='Quantity Selected on an Invoice')),
                ('deliverable', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='deliverables', to='application_projects.Deliverable')),
            ],
        ),
        migrations.AddField(
            model_name='invoice',
            name='deliverables',
            field=models.ManyToManyField(related_name='invoices', to='application_projects.InvoiceDeliverable'),
        ),
    ]
